Subject: Re: [PATCH net] ipv4: Fix device used for dst_alloc with local routes

From: [email-masked]
Date: Mon, 14 Jun 2021 19:40:03 +0000

Hello:

This patch was applied to netdev/net.git (refs/heads/master):

On Sat, 12 Jun 2021 18:24:59 -0600 you wrote:
> Oliver reported a use case where deleting a VRF device can hang
> waiting for the refcnt to drop to 0. The root cause is that the dst
> is allocated against the VRF device but cached on the loopback
> device.
> 
> The use case (added to the selftests) has an implicit VRF crossing
> due to the ordering of the FIB rules (lookup local is before the
> l3mdev rule, but the problem occurs even if the FIB rules are
> re-ordered with local after l3mdev because the VRF table does not
> have a default route to terminate the lookup). The end result is
> is that the FIB lookup returns the loopback device as the nexthop,
> but the ingress device is in a VRF. The mismatch causes the dst
> alloc against the VRF device but then cached on the loopback.
> 
> [...]

Here is the summary with links:
  - [net] ipv4: Fix device used for dst_alloc with local routes
    https://git.kernel.org/netdev/net/c/b87b04f5019e

You are awesome, thank you!
--
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html